Restore & PurgePurge

Purge

Purge cache of a VoD pull zone

curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/42/purge?delete=true" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "files": [
    "/video/file.mp4",
    "/video/another.mp4"
  ]
}'
{
  "result": "success",
  "message": "Zone updated successfully"
}
POST
/zones/vod/pull/{zoneid}/purge
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
filesarray

List of file paths to purge. Omit to purge entire zone.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Query Parameters

deletestring
Example:
true

Body

application/json
filesarray

List of file paths to purge. Omit to purge entire zone.

Example:
["/video/file.mp4","/video/another.mp4"]

Responses

resultstring

Status of the API response.

messagestring

Human-readable status message describing the outcome.